Bug 21226 - anaconda throws exception during partitionless install
Summary: anaconda throws exception during partitionless install
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-22 05:34 UTC by sammyk
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-19 19:22:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sammyk 2000-11-22 05:34:13 UTC
My system is as follows: PII 350, 96MB RAM, 8G IDE HD with Win98 installed
(No additional partitions). I have over 5GB free on the HD.

I am new to linux and I am attempting the partitionless install; however, 
I can't get past the disk druid partition phase. When I select my FAT 
partition as root, I get the warning message ("You have selected a DOS FAT 
style partition..."). I hit OK to confirm, this leaves the "next" button 
ungrayed. When I hit next, the installer throws an exception. 

ERRATA: I have already tried downloading the installer update from the 
errata section, it did NOT work. I wrote the image to a floppy and 
typed "linux updates" at the boot prompt, and inserted the update disk 
when prompted. I see the message "reading anaconda updates" before the 
install begins, but it makes no apparent difference, the installer still 
crashes at the exact same spot. I really want to get started with this OS; 
any help would be greatly appreciated.

Here's my trace:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 428, in 
nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 466, in 
setScreen
    new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-
7.0.1//usr/lib/anaconda/iw/rootpartition_gui.py", line 133, in getScreen
    avail = apply(isys.spaceAvailable, self.todo.fstab.getRootDevice())
  File "/usr/lib/anaconda/isys.py", line 10, in spaceAvailable
    mount(device, "/mnt/space", fstype = fsystem)
  File "/usr/lib/anaconda/isys.py", line 99, in mount
    rc = _isys.mount(fstype, device, location, readOnly)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
fstype: vfat
location: /mnt/space
devName: /tmp/hda1
readOnly: 0
device: /tmp/hda1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Comment 1 Michael Fulbright 2000-11-22 17:16:48 UTC
Please give us the exact sequence of steps required to reproduce this issue.


Note You need to log in before you can comment on or make changes to this bug.